#!/bin/bash

source $PWD/common/scripts/update.sh
source $PWD/common/scripts/first_install.sh

source $PWD/common/apps/barrier.sh
source $PWD/common/apps/boxes.sh
source $PWD/common/apps/chrome.sh
source $PWD/common/apps/etcher.sh
source $PWD/common/apps/flameshot.sh
source $PWD/common/apps/geary.sh
source $PWD/common/apps/git.sh
source $PWD/common/apps/gnome_shell.sh
source $PWD/common/apps/gnome_tweaks.sh
source $PWD/common/apps/gpick.sh
source $PWD/common/apps/kcolorchooser.sh
source $PWD/common/apps/keepassxc.sh
source $PWD/common/apps/lsd.sh
source $PWD/common/apps/ncdu.sh
source $PWD/common/apps/neofetch.sh
source $PWD/common/apps/nextcloud.sh
source $PWD/common/apps/signal.sh
source $PWD/common/apps/stacer.sh
source $PWD/common/apps/sublime_text.sh
source $PWD/common/apps/timeshift.sh
source $PWD/common/apps/trash-cli.sh
source $PWD/common/apps/ulauncher.sh
source $PWD/common/apps/vscode.sh

update
default_install

install_barrier
install_boxes
install_chrome
install_etcher
install_flameshot
install_geary
install_git
install_gnome_shell
install_gnome_tweaks
install_gpick
install_kcolorchooser
install_keepassxc
install_lsd
install_ncdu
install_neofetch
install_nextcloud
install_signal
install_stacer
install_sublime_text
install_timeshift
install_trash_cli
install_ulauncher

# IDEs

install_vscode
